<?php

/*
 * @copyright  2014 Mautic Contributors. All rights reserved
 * @author      Mautic
 *
 * @link        http://mautic.org
 *
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

return [
    'name'        => 'UProc',
    'description' => 'Enables integration with UProc for contact and company lookup',
    'version'     => '1.0',
    'author'      => 'Miquel Colomer',

    'routes' => [
        'public' => [
            'mautic_plugin_uproc_index' => [
                'path'       => '/uproc/callback',
                'controller' => 'MauticUProcBundle:Public:callback',
            ],
        ],
        'main' => [
            'mautic_plugin_uproc_action' => [
                'path'       => '/uproc/{objectAction}/{objectId}',
                'controller' => 'MauticUProcBundle:UProc:execute',
            ],
        ],
    ],

    'services' => [
        'events' => [
            'mautic.plugin.uproc.button.subscriber' => [
                'class'     => 'MauticPlugin\MauticUProcBundle\EventListener\ButtonSubscriber',
                'arguments' => [
                    'mautic.helper.integration',
                ],
            ],
            'mautic.plugin.uproc.lead.subscriber' => [
                'class'     => 'MauticPlugin\MauticUProcBundle\EventListener\LeadSubscriber',
                'arguments' => [
                    'mautic.plugin.uproc.lookup_helper',
                ],
            ],
        ],
        'forms' => [
            'mautic.form.type.uproc_lookup' => [
                'class' => 'MauticPlugin\MauticUProcBundle\Form\Type\LookupType',
                'alias' => 'uproc_lookup',
            ],
            'mautic.form.type.uproc_batch_lookup' => [
                'class' => 'MauticPlugin\MauticUProcBundle\Form\Type\BatchLookupType',
                'alias' => 'uproc_batch_lookup',
            ],
        ],
        'others' => [
            'mautic.plugin.uproc.lookup_helper' => [
                'class'     => 'MauticPlugin\MauticUProcBundle\Helper\LookupHelper',
                'arguments' => [
                    'mautic.helper.integration',
                    'mautic.helper.user',
                    'monolog.logger.mautic',
                    'router',
                    'mautic.lead.model.lead',
                    'mautic.lead.model.company',
                ],
            ],
        ],
        'integrations' => [
            'mautic.integration.uproc' => [
                'class'     => \MauticPlugin\MauticUProcBundle\Integration\UProcIntegration::class,
                'arguments' => [
                ],
            ],
        ],
    ],
];
